upgrade from 3.0.4 to 3.0.6

Discussions about RaZberry - Z-Wave board for Raspberry computer
timb
Posts: 90
Joined: 03 Jan 2015 00:10

Re: upgrade from 3.0.4 to 3.0.6

Post by timb »

So are you saying the fix is outside your control?
If so can you provide guidance as to how I can at least re-install and get my system up and runnig again?
Thanks
Zixwater
Posts: 32
Joined: 06 Sep 2014 21:31

Re: upgrade from 3.0.4 to 3.0.6

Post by Zixwater »

PoltoS wrote:
01 Jun 2020 00:56
This is a new global problem with root SSL certificates. One of them expired yesterday morning. We are investigating this, but I hope Raspbian will provide a fix soon.


https://www.opennet.ru/opennews/art.shtml?num=53061
https://news.ycombinator.com/item?id=23362759
But I had problems directly to storage.z-wave.me:443 which I hade to add switches to bypass with curl. Also I can access two different site layouts depending on the url given.
User avatar
PoltoS
Posts: 6182
Joined: 26 Jan 2011 19:36

Re: upgrade from 3.0.4 to 3.0.6

Post by PoltoS »

That was fixed by re-building SSL bunds. Now works
timb
Posts: 90
Joined: 03 Jan 2015 00:10

Re: upgrade from 3.0.4 to 3.0.6

Post by timb »

OK thanks.
I have downloaded and installed.
I saw errors in the install script:

[ ok ] Starting mongoose (via systemctl): mongoose.service.
Setting up zbw (1.2) ...
--2020-06-01 16:16:46-- https://find.z-wave.me/zbw_new_user
Resolving find.z-wave.me (find.z-wave.me)... 46.20.244.72, 78.46.43.211, 185.25.224.111, ...
Connecting to find.z-wave.me (find.z-wave.me)|46.20.244.72|:443... connected.
ERROR: The certificate of ‘find.z-wave.me’ is not trusted.
ERROR: The certificate of ‘find.z-wave.me’ has expired.
Setting up z-way-full (1.0-latest-version) ...
Processing triggers for systemd (241-7~deb10u2+rpi1) ...



I could restore my .zbk backup but when ever i tried to restore my .zab backup, when I clicked on Management on the Menu, I get an error that Remote Access must be enabled - which by default it is.

Any thoughts?

Thanks
timb
Posts: 90
Joined: 03 Jan 2015 00:10

Re: upgrade from 3.0.4 to 3.0.6

Post by timb »

This was the error:
Remote Access is not installed. Please add new 'Remote Access' ( Apps > local > Remote Access > +New App ) app in local Apps
cbnidk
Posts: 30
Joined: 14 May 2015 11:25

Re: upgrade from 3.0.4 to 3.0.6

Post by cbnidk »

Hi
I have used
https://letsencrypt.org/ it is free
for 2 years now and it seems to work ok,
at home and at my work
maybe z-wave.me can use this to

cb
User avatar
PoltoS
Posts: 6182
Joined: 26 Jan 2011 19:36

Re: upgrade from 3.0.4 to 3.0.6

Post by PoltoS »

@cbnidk ;)

It was a common Internet problem due to Sectigo/Comodo issued. https://support.sectigo.com/articles/Kn ... ay-30-2020

We have fixed it on most servers yesterday and on find.z-wave.me today. Should work now
Post Reply